Name:           libofetion
Version:        2.1.0
Release:        1%{?dist}
Summary:        Library files of Openfetion

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://ofetion.googlecode.com
Source0:        http://ofetion.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel
BuildRequires:	libXScrnSaver-devel, intltool, openssl-devel, sqlite-devel
BuildRequires:	gettext, NetworkManager-glib-devel 
BuildRequires:	dbus-glib-devel, dbus-devel, cmake

%description
Fetion is an instant messaging (IM) client developed 
by China Mobile, a Chinese telecommunications company. 
It is currently the third most popular IM client in 
China. It allows users to send and receive SMS free 
of charge between PCs and mobile phones. China Mobile 
intends to develop Fetion into a comprehensive 
communications service which will focus on wireless 
communications and offer Internet applications as a 
complement.

This package contains the dynamic library of Openfetion,
which handles the network protocol and can be reused to 
create Fetion clients.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
%cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_libdir}/libofetion.a


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libofetion.so.*
%{_datadir}/openfetion/resource/city.xml
%{_datadir}/openfetion/resource/province.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/libofetion.so


%changelog
* Wed Dec 29 2010 Liang Suilong <liangsuilong@gmail.com> - 2.1.0-1
- Initial Package for libofetion
